curl --request GET \
--url https://api.ctrl-hub.com/v3/verifications \
--header 'X-Session-Token: <api-key>'import requests
url = "https://api.ctrl-hub.com/v3/verifications"
headers = {"X-Session-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Session-Token': '<api-key>'}};
fetch('https://api.ctrl-hub.com/v3/verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "verifications",
"attributes": {
"ref_type": "induction-completions",
"status": "valid",
"verified_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"author": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "users"
}
},
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "organisations"
}
},
"induction_completion": {
"data": {
"type": "induction-completions",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"training_completion": {
"data": {
"type": "training-completions",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"assessment_record": {
"data": {
"type": "assessment-records",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"registration": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "registrations"
}
},
"category_registration": {
"data": {
"type": "category-registrations",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"scheme_registration": {
"data": {
"type": "scheme-registrations",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
],
"meta": {
"pagination": {
"counts": {
"pages": 1,
"resources": 1
},
"current_page": 1,
"offsets": {
"next": null,
"previous": null
},
"requested": {
"limit": 10,
"offset": 0
}
},
"features": {
"include": {
"options": [
"related.resource"
]
}
}
},
"jsonapi": {
"version": "1.0"
},
"included": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"type": "users",
"attributes": {
"email": "john.doe@example.com",
"profile": {
"work": {
"occupation": "Site Manager",
"cscs": "CSC123456",
"eusr": "EUR789123",
"start_date": "2020-03-01T00:00:00.000Z"
},
"personal": {
"first_name": "John",
"last_name": "Doe",
"dob": "1985-06-15T00:00:00.000Z",
"username": "johndoe"
},
"contact": {
"mobile": "+44 7700 900123",
"landline": "+44 20 7946 0958"
},
"address": {
"name": "Tech Tower",
"number": "42",
"street": "High Street",
"area": "Westminster",
"town": "London",
"county": "Greater London",
"postcode": "SW1A 1AA",
"country_code": "GB",
"what3words": "filled.count.soap"
},
"settings": {
"preferred_language": "en-GB",
"timezone": "Europe/London"
}
},
"status": "active",
"password_set_at": "2026-09-25T10:15:00.000Z",
"mfa_enabled_at": "2026-10-06T09:30:00.000Z",
"identities": [
{
"id": "39ce13b8-1116-416a-ad5f-3c5edfd44f53",
"platform": "multi_tenant",
"meta": {}
}
]
},
"meta": {
"managed_type": "none",
"withheld_organisations": [
"c000c344-8847-47da-a091-32e75902d3b1"
]
},
"relationships": {
"organisations": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "organisations"
}
]
},
"teams": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "teams"
}
]
},
"managing_organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "organisations"
}
}
}
}
]
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}List verifications
Retrieve a list of verifications. Filter by ref_type and ref_id to list
verifications for a single record (e.g. a particular induction completion).
Authorizations
Session token for authentication.
Query Parameters
Filters the response data based on the value provided.
Available filters:
eq(id,xxx): Filter verifications by ID.eq(organisation,xxx): Filter verifications by verifying organisation ID.eq(author,xxx): Filter verifications by the author (verifier) user ID.eq(ref_type,xxx): Filter verifications by the ref resource type (induction-completions,training-completions,assessment-records,registrations,category-registrations,scheme-registrations).eq(ref_id,xxx): Filter verifications by the ref resource ID.eq(verified_at,xxx): Filter verifications by the verification timestamp.eq(created_at,xxx): Filter verifications by created date.
For more information on using named filters, see the docs
A comma separated list of related resources to include.
author, organisation, induction_completion, training_completion, assessment_record, registration, category_registration, scheme_registration Limit the number of resources returned by the API
x >= 1Offset the resources returned by the API
x >= 0JSON:API pagination, as page[limit] and page[offset]. The same as the top-level limit and offset parameters; when both forms are sent, page[...] wins.
Show child attributes
Show child attributes
Response
Get a list of verifications.
JSON API response object
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Related resources that can be included when a verification is returned
A user
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Show child attributes
Show child attributes